> For AI agents: [llms.txt](https://docs.trustedauth.com/llms.txt) provides a Markdown index of this documentation.

# Fetch SAML Configuration for a SAML identity provider

`POST /api/web/v1/identityproviders/saml/configuration`

Fetch SAML Configuration for a SAML identity provider. Caller requires the IDENTITYPROVIDERS:VIEW permission.

## Request Body

Required.

### application/json

Schema

```json
{
  "required": [
    "federationMetadataUrl"
  ],
  "type": "object",
  "properties": {
    "federationMetadataUrl": {
      "type": "string",
      "description": "The federation metadata URL of the SAML identity provider.",
      "example": "https://entrust.us.trustedauth.com/api/saml/metadata/12345678-1234-1234-1234-123456789012"
    }
  },
  "description": "SamlConfigurationParms",
  "title": "SamlConfigurationParms"
}
```

## Responses

### 200

Successful

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "claims": {
      "type": "array",
      "description": "The list of claim attributes the SAML identity provider offers.",
      "items": {
        "type": "object",
        "properties": {
          "displayName": {
            "type": "string",
            "description": "The name of the claim attribute.",
            "example": "email"
          },
          "uri": {
            "type": "string",
            "description": "The URI of the claim attribute.",
            "example": "https://schemas.xmlsoap.org/ws/2005/05/identity/claims/emailaddress"
          }
        },
        "description": "The list of claim attributes the SAML identity provider offers.",
        "title": "SamlInfoClaim"
      }
    },
    "issuer": {
      "type": "string",
      "description": "The entity ID of the SAML identity provider configuration.",
      "example": "saml-idp-12345"
    },
    "sloUrl": {
      "type": "string",
      "description": "The Single Logout URL of the SAML identity provider configuration.",
      "example": "https://sso.example.com/saml/logout"
    },
    "ssoUrl": {
      "type": "string",
      "description": "The Single Sign-on URL of the SAML identity provider configuration.",
      "example": "https://sso.example.com/saml/login"
    }
  },
  "description": "A SamlConfigurationResponse defines the external SAML identity provider configuration.",
  "title": "SamlConfigurationResponse"
}
```

### 400

Bad Request

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 401

Access denied

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 403

Forbidden

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 404

Not Found

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

### 409

Conflict

#### application/json

Schema

```json
{
  "type": "object",
  "properties": {
    "errorCode": {
      "type": "string",
      "description": "Error Codes specific to cause of failure.",
      "example": "invalid_user_response"
    },
    "errorMessage": {
      "type": "string",
      "description": "Additional Error Message describing the error.",
      "example": "Application id cannot be null"
    },
    "parameters": {
      "type": "array",
      "description": "Optional additional error information.",
      "items": {
        "type": "object",
        "description": "Optional additional error information."
      }
    }
  },
  "description": "Object containing information about errors reported by services.",
  "title": "ErrorInfo"
}
```

## Security

Requirements

```json
[
  {
    "AdminAPIAuthentication": [
      "IDENTITYPROVIDERS:VIEW"
    ]
  }
]
```
